from django.urls import path, include
from rest_framework.routers import DefaultRouter

from .api import (
    TagViewSet,
    TagAssignmentViewSet,
    AllocatedTagsViewSet, TagBatchViewSet, TagDistributionViewSet, TagDistributionBatchViewSet
)

router = DefaultRouter()
router.register(r'tag', TagViewSet, basename='tag')
router.register(r'tag_assignment', TagAssignmentViewSet, basename='tag_assignment')
router.register(r'allocated_tag', AllocatedTagsViewSet, basename='allocated_tag')
router.register(r'tag_batch', TagBatchViewSet, basename='tag_batch')
router.register(r'tag_distribution', TagDistributionViewSet, basename='tag_distribution')
router.register(r'tag_distribution_batch', TagDistributionBatchViewSet, basename='tag_distribution_batch')

urlpatterns = [
    path('v1/', include(router.urls))
]
